List scheduled prompts
curl --request GET \
--url https://api.nops.io/v1/scheduled-prompts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/scheduled-prompts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/scheduled-prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/scheduled-prompts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "clxprompt01xyz",
"organizationId": "org-1",
"nopsClientId": 42,
"createdById": "user-1",
"canvasId": "clxcanvas01",
"scope": "private",
"name": "Weekly EC2 summary",
"prompt": "Summarize last week EC2 spend by account.",
"enabled": true,
"category": "FinOps Analyst",
"domain": "Compute",
"emailEnabled": true,
"emailRecipients": [
"finops@example.com"
],
"emailSubject": "Weekly EC2 summary",
"channelTargets": [
{
"provider": "slack",
"channelId": "C01234567",
"channelName": "finops-alerts"
}
],
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T14:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"cronExpression": "0 14 * * 1",
"nextRunAt": "2026-07-20T18:00:00.000Z",
"lastRunAt": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"canvas": {
"id": "clxcanvas01",
"name": "FinOps Dashboard"
},
"_count": {
"runs": 12
}
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": null
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Scheduled prompts
List scheduled prompts
GET
https://api.nops.io
/
v1
/
scheduled-prompts
List scheduled prompts
curl --request GET \
--url https://api.nops.io/v1/scheduled-prompts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/scheduled-prompts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/scheduled-prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/scheduled-prompts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "clxprompt01xyz",
"organizationId": "org-1",
"nopsClientId": 42,
"createdById": "user-1",
"canvasId": "clxcanvas01",
"scope": "private",
"name": "Weekly EC2 summary",
"prompt": "Summarize last week EC2 spend by account.",
"enabled": true,
"category": "FinOps Analyst",
"domain": "Compute",
"emailEnabled": true,
"emailRecipients": [
"finops@example.com"
],
"emailSubject": "Weekly EC2 summary",
"channelTargets": [
{
"provider": "slack",
"channelId": "C01234567",
"channelName": "finops-alerts"
}
],
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T14:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"cronExpression": "0 14 * * 1",
"nextRunAt": "2026-07-20T18:00:00.000Z",
"lastRunAt": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"canvas": {
"id": "clxcanvas01",
"name": "FinOps Dashboard"
},
"_count": {
"runs": 12
}
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": null
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Query Parameters
Maximum items to return (1–200, default 50).
Required range:
1 <= x <= 200Opaque cursor from a previous response's pagination.next_cursor.
Was this page helpful?
⌘I